### Method

# Clutter Actor add_action_with_name

#### Declaration [src]

    void
    clutter_actor_add_action_with_name (
      ClutterActor* self,
      const gchar* name,
      ClutterAction* action
    )

#### Description [src]

A convenience function for setting the name of a `ClutterAction` while adding it to the list of actions applied to `self`

This function is the logical equivalent of:

      clutter_actor_meta_set_name (CLUTTER_ACTOR_META (action), name);
      clutter_actor_add_action (self, action);

#### Parameters

`name`

  Type: `const gchar*`

  The name to set on the action.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`action`

  Type: `ClutterAction`

  A `ClutterAction`.

  The data is owned by the caller of the method.